MUSIC(1)

NAME
music - launch a multi-simulation using MUSIC

SYNOPSIS
mpirun [mpirun-options] music [options] config
music [options] config...

DESCRIPTION
This manual page documents briefly the music utility.

music is used to launch a multi-simulation, i.e., an MPI job partitioned between a set of parallel programs. Such programs need to be MUSIC-aware (see documentation for the MUSIC library). MUSIC also provides facilities for these programs to exchange data.

The second form of the command above (without mpirun) can be used to print out an application rank map or version information.

OPTIONS
The music utility follows the usual GNU command line syntax, with long options starting with two dashes (`-'). A summary of options is included below. For a complete description, see the MUSIC manual.

-h, --help
    Show summary of options.

-m, --map
    Print application rank map.

-v, --version
    Show version of program.

AUTHOR
MUSIC was written by Mikael Djurfeldt and Örjan Ekeberg for INCF.

This manual page was written by Mikael Djurfeldt <mdj@debian.org>, for the Debian project (but may be used by others).